Bug 1889835 - openshift4-cnf-test | Nodes where PTP agent is running are not detected properly (ptp daemonset)
Summary: openshift4-cnf-test | Nodes where PTP agent is running are not detected prope...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: CNF Platform Validation
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Federico Paolinelli
QA Contact: Nikita
URL:
Whiteboard:
: 1889621 (view as bug list)
Depends On: 1889741
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 16:54 UTC by OpenShift BugZilla Robot
Modified: 2020-11-23 15:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift-kni cnf-features-deploy pull 361 None closed Bug 1889835: Update the ptp tests dependency. 2020-11-17 14:08:29 UTC
Github openshift ptp-operator pull 79 None closed [release-4.6] Bug 1889835: Fix the daemonset validation test 2020-11-16 14:44:50 UTC

Description OpenShift BugZilla Robot 2020-10-20 16:54:44 UTC
+++ This bug was initially created as a clone of Bug #1889741 +++

+++ This bug was initially created as a clone of Bug #1889621 +++

Description of problem:

PTP test did not pass because cnf-tests did not detect properly the number of nodes running PTP. 

Version-Release number of selected component (if applicable):

quay.io/openshift-kni/cnf-tests:latest

How reproducible:


Steps to Reproduce:
1. Configure the ptpOperatorConfig CRD to run only on a subset of nodes. For instance, nodes where the role label is equal to cnf-worker.
2. podman run -v $(pwd)/:/kubeconfig:Z -v $(pwd)/reports:/reports:Z -e KUBECONFIG=/kubeconfig/kubeconfig -e DISCOVERY_MODE=true quay.io/openshift-kni/cnf-tests:latest /usr/bin/test-run.sh /usr/bin/test-run.sh -ginkgo.focus="ptp"


Actual results:

• Failure [0.652 seconds]
[ptp]
/go/src/github.com/openshift-kni/cnf-features-deploy/vendor/github.com/openshift/ptp-operator/test/ptp/ptp.go:33
  PTP configuration verifications
  /go/src/github.com/openshift-kni/cnf-features-deploy/vendor/github.com/openshift/ptp-operator/test/ptp/ptp.go:38
    Should check that all nodes are running at least one replica of linuxptp-daemon [It]
    /go/src/github.com/openshift-kni/cnf-features-deploy/vendor/github.com/openshift/ptp-operator/test/ptp/ptp.go:61

    should be one instance per node
    Expected
        <int32>: 2
    to be ==
        <int>: 5


Expected results:

PASS since they are just two nodes selected to run the PTP agent.

Additional info:

The nodes where the PTP agent must run is configured in the ptpOperatorConfig CRD. As an example:

                apiVersion: ptp.openshift.io/v1
                kind: PtpOperatorConfig
                metadata:
                  name: default
                  namespace: openshift-ptp
                spec:
                  daemonNodeSelector:
                    node-role.kubernetes.io/worker-cnf: ""

Comment 1 Sebastian Scheinkman 2020-10-20 17:00:13 UTC
*** Bug 1889621 has been marked as a duplicate of this bug. ***

Comment 2 or marziano 2020-11-17 14:07:58 UTC
apiVersion: ptp.openshift.io/v1
kind: PtpOperatorConfig
spec:
  daemonNodeSelector:
    node-role.kubernetes.io/worker-cnf: ""

-----------------------------------------------------------------------------------------------------------------------------

Client Version: 4.6.0-202005061824-29e9a33
Server Version: 4.6.4
Kubernetes Version: v1.19.0+9f84db3

-----------------------------------------------------------------------------------------------------------------------------

NAME       STATUS   ROLES               AGE   VERSION
master-0   Ready    master              19h   v1.19.0+9f84db3
master-1   Ready    master              19h   v1.19.0+9f84db3
master-2   Ready    master              19h   v1.19.0+9f84db3
worker-0   Ready    worker,worker-cnf   18h   v1.19.0+9f84db3
worker-1   Ready    worker,worker-cnf   18h   v1.19.0+9f84db3

-----------------------------------------------------------------------------------------------------------------------------

Bug is Verified for image: registry-proxy.engineering.redhat.com/rh-osbs/openshift4-cnf-tests:v4.6.0-30


Note You need to log in before you can comment on or make changes to this bug.